Starting from next year i.e January 1, millions of smartphone users will not be able to use WhatsApp, as their devices will no longer remain compatible with the instant messaging app. As of January 2021, WhatsApp will stop running on a range of older iOS and Android-based devices, which runs on outdated softwares. The Facebook-owned messaging app will stop working on smartphones that are not running on at least iOS 9 or Android 4.0.3 operating systems. There’s no option to transfer your chat history between platforms. However, we provide the option to export your chat history as an email attachment. Please note, export chat isn’t supported in Germany,” WhatsApp says in its support page. Based on the above, it can be concluded that iPhones not run iOS 9 will not be used for WhatsApp services from 2021. This include all earlier iPhone models upto iPhone 4. However, those using iPhone 4S, iPhone 5, iPhone 5S, iPhone 5C, iPhone 6, and iPhone 6S, will have to update their phones with either iOS 9 or later for being able to use WhatsApp

The following phones may not be running Android OS 4.0.3 and newer.

HTC Sensation
Google Nexus S
Sony Ericsson Xperia Arc
LG Optimus 2X
Samsung Galaxy S I9000
HTC Desire
Motorola Droid Razr
Samsung Galaxy S2

How to find out OS running on your phone

  • iPhone users go to Settings > General > Information to find out software version on your iPhone.
  • Android users go to Settings > About Phone to find out OS version running on your smartphone.